﻿@model Detech_Conference.Class.Details

@{
    if (Model.MachineState == "Start")
    {
        <div id="information" class="panel panel-container" style="background-color:#009933">
            <div class="row">
                <div class="col-xs-6 col-md-4 col-lg-6 no-padding">
                    <div class="panel panel-teal panel-widget border-right">
                        <div class="row no-padding">
                            <div class="text-muted" style="color:white">Status</div>
                            <h4 class="timeline-title" style="text-transform:uppercase;"><font size="4" style="color: white; font-weight:500">@Model.MachineState</font></h4>
                        </div>
                    </div>
                </div>
                <div class="col-xs-6 col-md-4 col-lg-6 no-padding">
                    <div class="panel panel-teal panel-widget border-right">
                        <div class="row no-padding">
                            <div class="text-muted" style="color:white">Operation Since</div>
                            <h4 class="timeline-title" style="text-transform:uppercase;"><font size="4" style="color: white; font-weight:500">@Model.MachineStateTime</font></h4>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    }

    if (Model.MachineState == "Stop")
    {
        <div id="information" class="panel panel-container" style="background-color:red">
            <div class="row">
                <div class="col-xs-6 col-md-4 col-lg-6 no-padding">
                    <div class="panel panel-teal panel-widget border-right">
                        <div class="row no-padding">
                            <div class="text-muted" style="color:white">Status</div>
                            <h4 class="timeline-title" style="text-transform:uppercase;"><font size="4" style="color: white; font-weight:500">@Model.MachineState</font></h4>
                        </div>
                    </div>
                </div>
                <div class="col-xs-6 col-md-4 col-lg-6 no-padding">
                    <div class="panel panel-teal panel-widget border-right">
                        <div class="row no-padding">
                            <div class="text-muted" style="color:white">Operation Since</div>
                            <h4 class="timeline-title" style="text-transform:uppercase;"><font size="4" style="color: white; font-weight:500">@Model.MachineStateTime</font></h4>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    }

    if (Model.MachineState == "Alarm")
    {
        <div id="information" class="panel panel-container" style="background-color:#b3b3b3">
            <div class="row">
                <div class="col-xs-6 col-md-4 col-lg-6 no-padding">
                    <div class="panel panel-teal panel-widget border-right">
                        <div class="row no-padding">
                            <div class="text-muted" style="color:white">Status</div>
                            <h4 class="timeline-title" style="text-transform:uppercase;"><font size="4" style="color: white; font-weight:500">@Model.MachineState</font></h4>
                        </div>
                    </div>
                </div>
                <div class="col-xs-6 col-md-4 col-lg-6 no-padding">
                    <div class="panel panel-teal panel-widget border-right">
                        <div class="row no-padding">
                            <div class="text-muted" style="color:white">Operation Since</div>
                            <h4 class="timeline-title" style="text-transform:uppercase;"><font size="4" style="color: white; font-weight:500">@Model.MachineStateTime</font></h4>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    }

    if (Model.MachineState == "Maintenance")
    {
        <div id="information" class="panel panel-container" style="background-color:#ff9900">
            <div class="row">
                <div class="col-xs-6 col-md-4 col-lg-6 no-padding">
                    <div class="panel panel-teal panel-widget border-right">
                        <div class="row no-padding">
                            <div class="text-muted" style="color:white">Status</div>
                            <h4 class="timeline-title" style="text-transform:uppercase;"><font size="4" style="color: white; font-weight:500">@Model.MachineState</font></h4>
                        </div>
                    </div>
                </div>
                <div class="col-xs-6 col-md-4 col-lg-6 no-padding">
                    <div class="panel panel-teal panel-widget border-right">
                        <div class="row no-padding">
                            <div class="text-muted" style="color:white">Operation Since</div>
                            <h4 class="timeline-title" style="text-transform:uppercase;"><font size="4" style="color: white; font-weight:500">@Model.MachineStateTime</font></h4>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    }
}



